/**********************************************************************************************/
/*                                                                                            */
/*                             3-Wire.                               */
/*                                                                                            */
/**********************************************************************************************/
#ifndef THREE_WIRE_H
#define THREE_WIRE_H

#include  "../main/main.h"

/*--------------------------------------------------------------------------------------------*/
/*   (PD5).                                                                        */
/*--------------------------------------------------------------------------------------------*/
//   - .
#define   THREE_WIRE_CLK      5
#define   THREE_WIRE_CLK_PIN  D, THREE_WIRE_CLK

/*--------------------------------------------------------------------------------------------*/
/*   (PD6).                                                                        */
/*--------------------------------------------------------------------------------------------*/
// "1" -   , "0" -   .
#define   THREE_WIRE_DQ       6
#define   THREE_WIRE_DQ_PIN   D, THREE_WIRE_DQ

/*--------------------------------------------------------------------------------------------*/
/*     3-Wire.                                              */
/* :     .                                                          */
/* :    .                                                         */
/*--------------------------------------------------------------------------------------------*/
void Three_Wire_Init(void);

/*--------------------------------------------------------------------------------------------*/
/*   1    3-Wire.                                                 */
/* :    .                                                            */
/* :    .                                                         */
/*--------------------------------------------------------------------------------------------*/
void Send_Byte_on_3Wire(IN BYTE byte);

/*--------------------------------------------------------------------------------------------*/
/*   n    3-Wire.                                                */
/* :      ,   .                 */
/* :    .                                                         */
/*--------------------------------------------------------------------------------------------*/
void Send_Bytes_on_3Wire(IN BYTE __flash *pData, IN BYTE n);

/*--------------------------------------------------------------------------------------------*/
/*   n    3-Wire.                                                */
/* :      ,   .                 */
/* :    .                                                         */
/*--------------------------------------------------------------------------------------------*/
void Send_Bytes_on_3Wire(IN BYTE *pData, IN BYTE n);

/*--------------------------------------------------------------------------------------------*/
/*   n     3-Wire.                                           */
/* :    ,   .                                      */
/* :    .                                                         */
/*--------------------------------------------------------------------------------------------*/
void Send_Bytes_on_3Wire(IN BYTE byte, IN BYTE n);

/*--------------------------------------------------------------------------------------------*/
/*   1    3-Wire.                                                 */
/* :     .                                                          */
/* :   .                                                               */
/*--------------------------------------------------------------------------------------------*/
OUT BYTE Get_Byte_from_3Wire(void);

/*--------------------------------------------------------------------------------------------*/
/*   n     3-Wire.                                         */
/* :       ,   .                 */
/* :    .                                                         */
/*--------------------------------------------------------------------------------------------*/
void Get_Bytes_from_3Wire(OUT BYTE *pData, IN BYTE n);



/**********************************************************************************************/
#endif
